<?php

if ( !defined('WORDEFINERY') ) :

add_option('wordefinery_class', array(), null, 'yes');
$wordefinery_class = get_option('wordefinery_class');
$p = plugin_basename(dirname(__FILE__));
if (!isset($wordefinery_class[$p])) $wordefinery_class[$p] = '0.0';

$max_v = '0.0';
$max_i = '';
foreach($wordefinery_class as $p=>$v) {
    $inc = WP_PLUGIN_DIR . DIRECTORY_SEPARATOR . $p . DIRECTORY_SEPARATOR . 'Wordefinery.php';
    if (!file_exists($inc)) {
        unset($wordefinery_class[$p]);
    } else {
        $v = include($inc);
        if ($wordefinery_class[$p] != $v) {
            $wordefinery_class[$p] = $v;
        }
        if (version_compare($v, $max_v) > 0) {
            $max_v = $v;
            $max_i = $inc;
        }
    }
}

update_option('wordefinery_class', $wordefinery_class);
define('WORDEFINERY', true);
include($max_i);

else:

$p = plugin_basename(dirname(__FILE__));
$wordefinery_class = get_option('wordefinery_class');
if (!isset($wordefinery_class[$p])) {
    $wordefinery_class[$p] = '0.0';
    update_option('wordefinery_class', $wordefinery_class);
}

endif;
