<?php

namespace wordefinery;

class LiveinternetCounterWidget extends \WP_Widget {
    function __construct() {
        $this->plugin = \Wordefinery::Plugin('LiveinternetCounter');
        parent::WP_Widget(
            'wordefinery_liveinternetcounter_widget',
            __('LiveInternet.ru Counter', $this->plugin->plugin_slug),
            array(
                'description' => __('LiveInternet.ru Counter Widget', $this->plugin->plugin_slug)
            )
        );
    }

    function widget( $args, $instance ) {
        extract( $args );
        $title = apply_filters( 'widget_title', $instance['title'] );
        echo $before_widget;
        if ( !empty( $title ) ) { echo $before_title . $title . $after_title; }
        echo $this->plugin->Counter();
        ?><ul style="list-style:none;"><li><div style="text-align:<?php echo $this->plugin->align ?>"><!--LiveInternet logo--><a href="http://www.liveinternet.ru/click"
target="_blank"><img src="http://counter.yadro.ru/logo?<?php echo $this->plugin->style ?>.<?php echo $this->plugin->color; ?>" title="LiveInternet Counter"
alt="" border="0" width="<?php echo $this->plugin->width ?>" height="<?php echo $this->plugin->height ?>"/></a><!--/LiveInternet--></div></li></ul><?php
        echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        return $instance;
    }

    function form( $instance ) {
        $instance = wp_parse_args( (array) $instance, array( 'style' => '23', 'title' => '', 'color' => '6') );
        $title = esc_attr( $instance['title'] );
        ?>
        <p>
        <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title', $this->plugin->plugin_slug); ?>:</label>
        <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        <?php
    }

}